# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.91"
name = "sails-rs"
version = "0.10.3"
authors = ["Gear Technologies"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Main abstractions for the Sails framework"
documentation = "https://docs.rs/sails-rs"
readme = "README.md"
license = "GPL-3.0"
repository = "https://github.com/gear-tech/sails"

[features]
build = [
    "client-builder",
    "wasm-builder",
]
client-builder = [
    "std",
    "idl-gen",
    "dep:sails-client-gen",
    "dep:convert_case",
]
debug = ["gstd?/debug"]
default = ["gstd"]
ethexe = [
    "gprimitives/ethexe",
    "gstd?/ethexe",
    "dep:alloy-primitives",
    "dep:alloy-sol-types",
    "dep:keccak-const",
    "sails-macros?/ethexe",
]
gclient = [
    "dep:gclient",
    "dep:tokio-stream",
]
gstd = [
    "dep:gstd",
    "dep:gear-core",
    "dep:sails-macros",
]
gtest = [
    "std",
    "dep:gtest",
    "dep:log",
    "dep:tokio-stream",
]
idl-gen = ["dep:sails-idl-gen"]
mockall = [
    "std",
    "dep:mockall",
]
std = ["futures/std"]
wasm-builder = ["dep:gwasm-builder"]

[lib]
name = "sails_rs"
path = "src/lib.rs"

[dependencies.alloy-primitives]
version = "1.4"
optional = true
default-features = false

[dependencies.alloy-sol-types]
version = "1.4"
optional = true
default-features = false

[dependencies.convert_case]
version = "0.7"
optional = true

[dependencies.futures]
version = "0.3"
default-features = false

[dependencies.gcore]
version = "=1.10.0"

[dependencies.gear-core-errors]
version = "=1.10.0"

[dependencies.gprimitives]
version = "=1.10.0"
features = ["codec"]
default-features = false

[dependencies.gstd]
version = "=1.10.0"
optional = true

[dependencies.gwasm-builder]
version = "=1.10.0"
optional = true
package = "gear-wasm-builder"

[dependencies.hashbrown]
version = "0.15"

[dependencies.hex]
version = "0.4"
default-features = false

[dependencies.keccak-const]
version = "0.2"
optional = true

[dependencies.mockall]
version = "0.12"
optional = true

[dependencies.parity-scale-codec]
version = "=3.7.5"
features = ["derive"]
default-features = false

[dependencies.paste]
version = "1.0"

[dependencies.pin-project-lite]
version = "0.2"

[dependencies.sails-client-gen]
version = "=0.10.3"
optional = true

[dependencies.sails-idl-gen]
version = "=0.10.3"
optional = true

[dependencies.sails-idl-meta]
version = "=0.10.3"

[dependencies.sails-macros]
version = "=0.10.3"
optional = true

[dependencies.scale-info]
version = "2.11"
features = [
    "derive",
    "docs",
]
default-features = false

[dependencies.spin]
version = "0.9"
features = ["spin_mutex"]
default-features = false

[dependencies.thiserror]
version = "2.0"
default-features = false

[dependencies.tokio-stream]
version = "0.1"
optional = true

[dev-dependencies.tokio]
version = "1.48"
features = [
    "rt",
    "macros",
]

[target.'cfg(not(target_arch = "wasm32"))'.dependencies.gclient]
version = "=1.10.0"
optional = true

[target.'cfg(not(target_arch = "wasm32"))'.dependencies.gear-core]
version = "=1.10.0"
features = ["std"]
optional = true
default-features = false

[target.'cfg(not(target_arch = "wasm32"))'.dependencies.gtest]
version = "=1.10.0"
optional = true

[target.'cfg(not(target_arch = "wasm32"))'.dependencies.log]
version = "0.4"
optional = true
default-features = false
